aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-exifread/APKBUILD
diff options
context:
space:
mode:
authorPeter Bui <pnutzh4x0r@gmail.com>2015-07-20 22:50:31 -0500
committerNatanael Copa <ncopa@alpinelinux.org>2015-07-21 06:10:50 +0000
commit0b3bb87dc7cb5883bd064843f76887dd294a3cbf (patch)
tree16f9d1ce6824d173e3a8b2b317ee9b826a2e61e4 /main/py-exifread/APKBUILD
parentd383d816c8f77056176df6d069afc916bc996739 (diff)
downloadaports-0b3bb87dc7cb5883bd064843f76887dd294a3cbf.tar.gz
aports-0b3bb87dc7cb5883bd064843f76887dd294a3cbf.tar.bz2
aports-0b3bb87dc7cb5883bd064843f76887dd294a3cbf.tar.xz
main/py-exifread: move from testing
Diffstat (limited to 'main/py-exifread/APKBUILD')
-rw-r--r--main/py-exifread/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/py-exifread/APKBUILD b/main/py-exifread/APKBUILD
new file mode 100644
index 0000000000..63cf80d009
--- /dev/null
+++ b/main/py-exifread/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Peter Bui <pnutzh4x0r@gmail.com>
+pkgname=py-exifread
+_pkgname=ExifRead
+pkgver=2.1.1
+pkgrel=0
+pkgdesc="Read Exif metadata from tiff and jpeg files"
+url="https://pypi.python.org/pypi/ExifRead"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+md5sums="1ad3338c0f2cf3e3d9e90e6b33db5754 ExifRead-2.1.1.tar.gz"
+sha256sums="07319ac6adf9cfc76ae34a357f12bc0b6668fa1513f8e925cf1743189e9cc56d ExifRead-2.1.1.tar.gz"
+sha512sums="00c070273aeb4b231a7eebd9aba38a8e876e8ace56e10ecb92e1dc95da636d461ea69683559fb845b7c9e857a9def9c3fdc934b23eeda2352908ee70ebdcc8c2 ExifRead-2.1.1.tar.gz"